Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1431694 - [abrt] xfce4-terminal: _vte_table_free(): xfce4-terminal killed by SIGSEGV
Summary: [abrt] xfce4-terminal: _vte_table_free(): xfce4-terminal killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-terminal
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c29c71da21c03528837cae50a4c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-13 15:52 UTC by bitchecker
Modified: 2017-06-09 18:57 UTC (History)
3 users (show)

Fixed In Version: xfce4-terminal-0.8.5.1-1.fc25 xfce4-terminal-0.8.5.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-24 05:01:25 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (18.97 KB, text/plain)
2017-03-13 15:52 UTC, bitchecker
no flags Details
File: cgroup (242 bytes, text/plain)
2017-03-13 15:52 UTC, bitchecker
no flags Details
File: core_backtrace (4.77 KB, text/plain)
2017-03-13 15:52 UTC, bitchecker
no flags Details
File: dso_list (10.16 KB, text/plain)
2017-03-13 15:52 UTC, bitchecker
no flags Details
File: environ (1.94 KB, text/plain)
2017-03-13 15:53 UTC, bitchecker
no flags Details
File: exploitable (93 bytes, text/plain)
2017-03-13 15:53 UTC, bitchecker
no flags Details
File: limits (1.29 KB, text/plain)
2017-03-13 15:53 UTC, bitchecker
no flags Details
File: maps (49.18 KB, text/plain)
2017-03-13 15:53 UTC, bitchecker
no flags Details
File: mountinfo (3.11 KB, text/plain)
2017-03-13 15:53 UTC, bitchecker
no flags Details
File: namespaces (102 bytes, text/plain)
2017-03-13 15:53 UTC, bitchecker
no flags Details
File: open_fds (899 bytes, text/plain)
2017-03-13 15:53 UTC, bitchecker
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-03-13 15:53 UTC, bitchecker
no flags Details
File: var_log_messages (243 bytes, text/plain)
2017-03-13 15:53 UTC, bitchecker
no flags Details

Description bitchecker 2017-03-13 15:52:45 UTC
Version-Release number of selected component:
xfce4-terminal-0.8.4-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        xfce4-terminal
crash_function: _vte_table_free
executable:     /usr/bin/xfce4-terminal
global_pid:     3485
kernel:         4.9.13-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 _vte_table_free at table.cc:162
 #5 _vte_matcher_destroy at matcher.cc:137
 #6 _vte_matcher_free at matcher.cc:172
 #7 VteTerminalPrivate::~VteTerminalPrivate at vte.cc:8290
 #8 vte_terminal_finalize at vtegtk.cc:387
 #10 g_child_watch_dispatch at gmain.c:5323
 #15 gtk_main at gtkmain.c:1312

Comment 1 bitchecker 2017-03-13 15:52:52 UTC
Created attachment 1262478 [details]
File: backtrace

Comment 2 bitchecker 2017-03-13 15:52:54 UTC
Created attachment 1262479 [details]
File: cgroup

Comment 3 bitchecker 2017-03-13 15:52:56 UTC
Created attachment 1262480 [details]
File: core_backtrace

Comment 4 bitchecker 2017-03-13 15:52:59 UTC
Created attachment 1262481 [details]
File: dso_list

Comment 5 bitchecker 2017-03-13 15:53:00 UTC
Created attachment 1262482 [details]
File: environ

Comment 6 bitchecker 2017-03-13 15:53:02 UTC
Created attachment 1262483 [details]
File: exploitable

Comment 7 bitchecker 2017-03-13 15:53:03 UTC
Created attachment 1262484 [details]
File: limits

Comment 8 bitchecker 2017-03-13 15:53:05 UTC
Created attachment 1262486 [details]
File: maps

Comment 9 bitchecker 2017-03-13 15:53:07 UTC
Created attachment 1262487 [details]
File: mountinfo

Comment 10 bitchecker 2017-03-13 15:53:08 UTC
Created attachment 1262488 [details]
File: namespaces

Comment 11 bitchecker 2017-03-13 15:53:10 UTC
Created attachment 1262489 [details]
File: open_fds

Comment 12 bitchecker 2017-03-13 15:53:12 UTC
Created attachment 1262490 [details]
File: proc_pid_status

Comment 13 bitchecker 2017-03-13 15:53:13 UTC
Created attachment 1262491 [details]
File: var_log_messages

Comment 14 Kevin Fenzi 2017-03-13 16:39:59 UTC
What were you doing when this happened?

Can you duplicate the crash?

Comment 15 Fedora Update System 2017-05-14 21:31:25 UTC
xfce4-terminal-0.8.5.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d226f0c56

Comment 16 Fedora Update System 2017-05-14 21:31:57 UTC
xfce4-terminal-0.8.5.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00f84706bf

Comment 17 Fedora Update System 2017-05-15 20:35:53 UTC
xfce4-terminal-0.8.5.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d226f0c56

Comment 18 Fedora Update System 2017-05-15 22:04:28 UTC
xfce4-terminal-0.8.5.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-00f84706bf

Comment 19 Fedora Update System 2017-05-24 05:01:25 UTC
xfce4-terminal-0.8.5.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-06-09 18:57:11 UTC
xfce4-terminal-0.8.5.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.